%perl_module Digest-SHA 5.44 1

Summary: Perl extension for SHA-1/224/256/384/512
Group: Development/Libraries
License: Artistic
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/M/MS/MSHELOR/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Digest::SHA is a complete implementation of the NIST Secure Hash
Standard.  It gives Perl programmers a convenient way to calculate
SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message digests.
The module can handle all types of input, including partial-byte
data.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_bin}/shasum
%{perl_vendorarch}/Digest/SHA.pm
%{perl_vendorarch}/auto/Digest/SHA/SHA.so
%{perl_man1dir}/shasum.1*
%{perl_man3dir}/Digest::SHA.3pm*


%changelog
* Mon May  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
